# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-28 09:30
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Contacts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_name', models.CharField(max_length=50)),
                ('first_name', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=255)),
                ('phone', models.CharField(max_length=10)),
                ('status', models.CharField(choices=[('A', 'ACTIV'), ('I', 'INACTIV')], max_length=1)),
                ('facebook', models.URLField(max_length=255)),
                ('photo', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('short_name', models.CharField(max_length=5)),
            ],
        ),
        migrations.AddField(
            model_name='contacts',
            name='department',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Department'),
        ),
    ]
